function loadArticle(id) {
    $.getJSON("http://mignews.com/export/json/article.php?article_id=" + id, function(data) {
        $("#holder").html("Загрузка...");
        if (data && 200 == data.meta.status) {
            var article = data.response.article;
            article.text = article.text.replace(/<img src="\/aimages/g, '<img src="http://mignews.com/aimages');
            article.related = data.response.related;
            article.formatted_time = function() {
                var t = moment();
                var d = moment(this.time);
                if (d.format("L") == t.format("L")) return d.format("HH:mm");
                if (d.year() == t.year()) return d.format("DD.MM HH:mm");
                return d.format("DD.MM.YYYY  HH:mm");
            };
            article.formatted_ts = function() {
                var d = moment(this.time);
                return d.format("HH:mm");
            };
            lastData = article;
            $("#holder").html(ich.article_template(article));
            $("a").bind("click", function() {
                return false;
            });
            $("body").get(0).scrollTop = 0;
        } else $("#holder").html("Ошибка загрузки!");
    });
}

function clearArticle() {
    $("#holder").html(ich.header_template({}));
}

function setPadding(x, clear) {
    $("#holder").css({
        paddingLeft: x + "px",
        paddingRight: x + "px",
        paddingBottom: x + "px"
    });
    $("#holder").html(clear ? ich.header_template({}) : ich.article_template(lastData));
    $("a").bind("click", function() {
        return false;
    });
    $("body").get(0).scrollTop = 0;
}

var lastData = null;

!function($) {
    $.fn.touchwipe = function(settings) {
        var config = {
            min_move_x: 20,
            min_move_y: 20,
            wipeLeft: function() {},
            wipeRight: function() {},
            wipeUp: function() {},
            wipeDown: function() {},
            preventDefaultEvents: true
        };
        settings && $.extend(config, settings);
        this.each(function() {
            function cancelTouch() {
                this.removeEventListener("touchmove", onTouchMove);
                startX = null;
                startY = null;
                isMoving = false;
            }
            function onTouchMove(e) {
                if (isMoving) {
                    var x = e.touches[0].pageX;
                    var y = e.touches[0].pageY;
                    var dx = startX - x;
                    var dy = startY - y;
                    if (Math.abs(dy) > Math.abs(dx) && Math.abs(dx) >= config.min_move_x) {
                        console.log("CANCEL TOUCH");
                        cancelTouch();
                        return;
                    }
                    console.log(dx);
                    if (Math.abs(dx) >= config.min_move_x) {
                        console.log("SWIPE");
                        cancelTouch();
                        dx > 0 ? config.wipeLeft() : config.wipeRight();
                    }
                }
            }
            function onTouchStart(e) {
                if (1 == e.touches.length) {
                    startX = e.touches[0].pageX;
                    startY = e.touches[0].pageY;
                    isMoving = true;
                    this.addEventListener("touchmove", onTouchMove, false);
                }
            }
            var startX;
            var startY;
            var isMoving = false;
            "ontouchstart" in document.documentElement && this.addEventListener("touchstart", onTouchStart, false);
        });
        return this;
    };
}(Zepto);

$(document).ready(function() {
    $("#holder").html(ich.header_template({}));
    $("body").touchwipe({
        wipeLeft: function() {
            Ti.App.fireEvent("swipe", {
                direction: "left"
            });
        },
        wipeRight: function() {
            Ti.App.fireEvent("swipe", {
                direction: "right"
            });
        },
        min_move_x: 20,
        min_move_y: 20,
        preventDefaultEvents: false
    });
});